Skip to content

getPickingListLines

READ

Get picking list lines.

POST /api/v1/inventory/getPickingListLines
curl -X POST '<your-host>/api/v1/inventory/getPickingListLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pickingListId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "itemId": "string",
      "jobId": "string",
      "jobMaterialId": "string",
      "jobOperationId": "string",
      "outstandingQuantity": 0,
      "pickingListId": "string",
      "quantityPicked": 0,
      "quantityReturned": 0,
      "quantityToPick": 0,
      "status": "Pending",
      "storageUnitId": "string",
      "toStorageUnitId": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "name": "string",
        "readableId": "string",
        "itemTrackingType": "Inventory"
      },
      "jobMaterial": {
        "itemId": "string",
        "quantity": 0,
        "substitutionFactor": 0,
        "item": {
          "readableId": "string",
          "itemSupersession": {
            "conversionFactor": 0
          }
        }
      },
      "job": {
        "jobId": "string"
      },
      "jobOperation": {
        "order": 0,
        "processId": "string",
        "workCenterId": "string",
        "process": {
          "name": "string"
        },
        "workCenter": {
          "name": "string"
        }
      },
      "storageUnit": {
        "name": "string",
        "locationId": "string"
      },
      "toStorageUnit": {
        "name": "string",
        "locationId": "string"
      },
      "trackedEntities": [
        {
          "trackedEntityId": "string",
          "quantity": 0,
          "quantityPicked": 0,
          "trackedEntity": {
            "readableId": "string"
          }
        }
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "pickingListId": {
      "type": "string"
    }
  },
  "required": [
    "pickingListId"
  ]
}